###################################################
### chunk number 1: 
###################################################
library(ssize)
library(xtable)
library(gdata) # for nobs()


###################################################
### chunk number 2: 
###################################################
data(exp.sd)
str(exp.sd)


###################################################
### chunk number 3: 
###################################################
     hist(exp.sd,n=20, col="cyan", border="blue", main="",
          xlab="Standard Deviation (for data on the log scale)")
     dens <- density(exp.sd)
     lines(dens$x, dens$y*par("usr")[4]/max(dens$y),col="red",lwd=2) #$
     title("Histogram of Standard Deviations (log2 scale)")


###################################################
### chunk number 4: 
###################################################
exp.sd <- exp.sd[1:1000]


###################################################
### chunk number 5:  eval=FALSE
###################################################
## ?pow


###################################################
### chunk number 6: 
###################################################
n<-6
fold.change<-2.0
power<-0.8
sig.level<-0.05


###################################################
### chunk number 7: 
###################################################
all.power <- pow(sd=exp.sd, n=n, delta=log2(fold.change),
                 sig.level=sig.level)

power.plot(all.power, lwd=2, col="blue")
xmax <- par("usr")[2]-0.05; ymax <- par("usr")[4]-0.05
legend(x=xmax, y=ymax,
       legend= strsplit( paste("n=",n,",",
         "fold change=",fold.change,",",
         "alpha=", sig.level, ",",
         "# genes=", nobs(exp.sd), sep=''), "," )[[1]],
       xjust=1, yjust=1, cex=1.0)
title("Power to Detect 2-Fold Change")


###################################################
### chunk number 8: 
###################################################
all.size  <- ssize(sd=exp.sd, delta=log2(fold.change),
                   sig.level=sig.level, power=power)
ssize.plot(all.size, lwd=2, col="magenta", xlim=c(1,20))
xmax <- par("usr")[2]-1; 
ymin <- par("usr")[3] + 0.05
legend(x=xmax, y=ymin,
       legend= strsplit( paste("fold change=",fold.change,",",
         "alpha=", sig.level, ",",
         "power=",power,",",
         "# genes=", nobs(exp.sd), sep=''), "," )[[1]],
       xjust=1, yjust=0, cex=1.0)
title("Sample Size to Detect 2-Fold Change")


###################################################
### chunk number 9: 
###################################################
all.delta  <- delta(sd=exp.sd, power=power, n=n,
                    sig.level=sig.level)
delta.plot(all.delta, lwd=2, col="magenta", xlim=c(1,10))
xmax <- par("usr")[2]-1; ymin <- par("usr")[3] + 0.05
legend(x=xmax, y=ymin,
       legend= strsplit( paste("n=",n,",",
         "alpha=", sig.level, ",",
         "power=",power,",",
         "# genes=", nobs(exp.sd), sep=''), "," )[[1]],
       xjust=1, yjust=0, cex=1.0)
title("Fold Change to Achieve 80\% Power")


